Overview | Package | Class | Tree | Deprecated | Index | Help
| Portlet API 2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jetspeed.portlet.event
Class WindowAdapter

    java.lang.Object
      |
      +--org.apache.jetspeed.portlet.event.WindowAdapter

All Implemented Interfaces:
  WindowListener

public abstract class WindowAdapter
extends Object
implements WindowListener

The `WindowAdapter` is a window listener in which all callback methods are empty implementations. The window adapter makes it more convenient for an object to listen for window events. In particular, by using the window adapter, it is possible to implement only those callback methods in which you are interested. Without the window adapter, you must implement all callback methods, even if the method is empty.

To use the window adapter, you create a subclass of `WindowAdapter` and override the desired callback methods. You then create an instance of the window adapter subclass and use it to register it as a listener for window events.

See Also:
  `WindowEvent`

Constructor Summary
`WindowAdapter()`

Method Summary
`void` | `windowClosed(WindowEvent event)` Notifies this listener that a portlet window has been closed.
`void` | `windowClosing(WindowEvent event)` Notifies this listener that a portlet window is about to be closed.
`void` | `windowMaximized(WindowEvent event)` Notifies this listener that a portlet window has been maximized.
`void` | `windowMinimized(WindowEvent event)` Notifies this listener that a portlet window has been minimized.
`void` | `windowRestored(WindowEvent event)` Notifies this listener that a portlet window has been restored from being minimized or maximized, respectively.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.jetspeed.portlet.event.WindowListener
`windowDetached`

Constructor Detail

### WindowAdapter

    public WindowAdapter()

Method Detail

### windowMaximized

    public void windowMaximized(WindowEvent event)

  Description copied from interface: `WindowListener`
  Notifies this listener that a portlet window has been maximized.
  Specified by:
    `windowMaximized` in interface `WindowListener`
  Following copied from interface: `org.apache.jetspeed.portlet.event.WindowListener`
  Parameters:
    `event` - the window event

### windowMinimized

    public void windowMinimized(WindowEvent event)

  Description copied from interface: `WindowListener`
  Notifies this listener that a portlet window has been minimized.
  Specified by:
    `windowMinimized` in interface `WindowListener`
  Following copied from interface: `org.apache.jetspeed.portlet.event.WindowListener`
  Parameters:
    `event` - the window event

### windowClosing

    public void windowClosing(WindowEvent event)

  Description copied from interface: `WindowListener`
  Notifies this listener that a portlet window is about to be closed.
  Specified by:
    `windowClosing` in interface `WindowListener`
  Following copied from interface: `org.apache.jetspeed.portlet.event.WindowListener`
  Parameters:
    `event` - the window event

### windowClosed

    public void windowClosed(WindowEvent event)

  Description copied from interface: `WindowListener`
  Notifies this listener that a portlet window has been closed.
  Specified by:
    `windowClosed` in interface `WindowListener`
  Following copied from interface: `org.apache.jetspeed.portlet.event.WindowListener`
  Parameters:
    `event` - the window event

### windowRestored

    public void windowRestored(WindowEvent event)

  Description copied from interface: `WindowListener`
  Notifies this listener that a portlet window has been restored from being minimized or maximized, respectively.
  Specified by:
    `windowRestored` in interface `WindowListener`
  Following copied from interface: `org.apache.jetspeed.portlet.event.WindowListener`
  Parameters:
    `event` - the window event

Overview | Package | Class | Tree | Deprecated | Index | Help
| Portlet API 2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD